import { AudioStream } from './rxjs-audio-stream';
import { PlaylistStreamConfig, PlaylistStreamState } from './rxjs-audio.interfaces';
export declare class PlaylistAudioStream extends AudioStream {
    protected state: PlaylistStreamState;
    private currentTrackIndex;
    private tracks;
    constructor(tracks: string[], config?: PlaylistStreamConfig | any);
    /**
     * Select the Next Audio Item in Playlist.
     * But it doens't play it automatically.
     * Run `play()` to play the stream
     */
    next(): void;
    /**
     * Select the Previous Audio Item in Playlist.
     * But it doens't play it automatically.
     * Run `play()` to play the stream
     */
    previous(): void;
    /**
     * Method to Check if First Track is Playing or not
     * Alternatively you can `this.state()` Observable to get state.
     * state has `isFirstTrack:boolean` to check if First Track is playing or not
     */
    isFirstPlaying(): boolean;
    /**
     * Method to Check if Last Track is Playing or not.
     * Alternatively you can `this.state()` Observable to get state.
     * state has `isLastTrack:boolean` to check if First Track is playing or not
     */
    isLastPlaying(): boolean;
    /**
     * Method to play track at particular index
     */
    playAt(index: number): void;
    /**
     * Switch the currrent Track to particular index
     * It just switch the track, doesn't play the track.
     * To do switch and play, use `platAt()` method.
     */
    switchTo(index: number): void;
    /**
     * initialize the audio stream
     * internal implementation, don't use it.
     */
    private loadTrackAtIndex;
    /**
     * autoplay the next track if set in config
     * internal implementation, don't use it.
     */
    private autoPlayNext;
    /**
     * config the stream for initialization
     * internal implementation, don't use it.
     */
    private configureStream;
}
